Bug 1112954 - [abrt] recoll: ole.py:60:byteOrder:IndexError: string index out of range
Summary: [abrt] recoll: ole.py:60:byteOrder:IndexError: string index out of range
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: recoll
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:de532f01f18890d61cf35e6bfe6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-25 06:15 UTC by Matthias Bruegge
Modified: 2015-01-20 21:07 UTC (History)
1 user (show)

Fixed In Version: recoll-1.20.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-20 21:04:12 UTC


Attachments (Terms of Use)
File: backtrace (859 bytes, text/plain)
2014-06-25 06:15 UTC, Matthias Bruegge
no flags Details
File: environ (1.84 KB, text/plain)
2014-06-25 06:15 UTC, Matthias Bruegge
no flags Details

Description Matthias Bruegge 2014-06-25 06:15:43 UTC
Version-Release number of selected component:
recoll-1.19.11-1.fc20

Additional info:
reporter:       libreport-2.2.2
cmdline:        python2 /usr/share/recoll/filters/ppt-dump.py --no-struct-output --dump-text /data/OTR/Funstuff/Gentechnik.pps
executable:     /usr/share/recoll/filters/ppt-dump.py
kernel:         3.14.8-200.fc20.i686+PAE
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
ole.py:60:byteOrder:IndexError: string index out of range

Traceback (most recent call last):
  File "/usr/share/recoll/filters/ppt-dump.py", line 141, in <module>
    main(sys.argv)
  File "/usr/share/recoll/filters/ppt-dump.py", line 135, in main
    if not dumper.dump():
  File "/usr/share/recoll/filters/ppt-dump.py", line 62, in dump
    strm = pptstream.PPTFile(file.read(), self.params)
  File "/usr/share/recoll/filters/msodump.zip/src/pptstream.py", line 36, in __init__
    self.pos = self.header.parse()
  File "/usr/share/recoll/filters/msodump.zip/src/ole.py", line 190, in parse
    self.byteOrder = Header.byteOrder(self.bytes[28:30])
  File "/usr/share/recoll/filters/msodump.zip/src/ole.py", line 60, in byteOrder
    b1, b2 = ord(chars[0]), ord(chars[1])
IndexError: string index out of range

Local variables in innermost frame:
chars: ''

Potential duplicate: bug 1085800

Comment 1 Matthias Bruegge 2014-06-25 06:15:50 UTC
Created attachment 911925 [details]
File: backtrace

Comment 2 Matthias Bruegge 2014-06-25 06:15:52 UTC
Created attachment 911926 [details]
File: environ

Comment 3 Fedora Update System 2015-01-10 16:29:36 UTC
recoll-1.20.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/recoll-1.20.1-1.fc21

Comment 4 Fedora Update System 2015-01-10 16:29:47 UTC
recoll-1.20.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/recoll-1.20.1-1.fc20

Comment 5 Fedora Update System 2015-01-11 02:59:16 UTC
Package recoll-1.20.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing recoll-1.20.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0540/recoll-1.20.1-1.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-01-20 21:04:12 UTC
recoll-1.20.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-01-20 21:07:35 UTC
recoll-1.20.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.